<?php
/***************************************************************************
 freeForum @soft.ZoneO.net
 Copyright (C) 2005 ZoneO-soft, S. Merkel (dude@zoneo.net)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 More Info About The Licence At http://www.gnu.org/copyleft/gpl.html
****************************************************************************/

include('config.php');
include('func.inc.php');
include('strings.php');
include('template.php');
include('func.echo.php');

function getVariables($varlist) {
	$vars = array();
	foreach ($varlist as $var) {
		if (!isset($$var) or $$var == "") {
			if (isset($_POST["$var"])) { 
				$$var = $_POST["$var"]; 
			} else {
				$$var = $_GET["$var"]; 
			}
		} 
		$vars[] = $$var;
	}
	return $vars;
}

echo "<!-- Forum powered by freeForum: http://soft.zoneo.net/freeForum/ -->\n";

if ($admin == 1) {
	echo $template['admin-mode'];
	$start = microtime_float();
}

$path =  __FILE__;
$path = preg_replace( "'\\\forum\.php'", "", $path);
$path = preg_replace( "'/forum\.php'", "", $path);

$query = query_string($_SERVER["QUERY_STRING"], array( "thread","page", "mode", "cat", "name", "email", "subject", "text", "quote", "msg", "Ok", "ip", "sort", "public", "search"));
$thispage = $_SERVER["PHP_SELF"]."?$query";

$varlist = array("thread", "page", "mode", "cat", "name", "email", "subject", "text", "quote", "msg", "Ok", "ip", "sort", "public", "search");
$values = getVariables($varlist);
foreach ($varlist as $key => $var) {
	$$var = $values[$key];
}

if($cat == "") {$cat = 0;}
if($page == "") {$page = 1;}
if($sort == "") {$sort = "thread";}
foreach ($reserved as $key => $tmp) {
	$reserved[$key] = strtolower($tmp);
}
// Opening database
$db=mysql_connect($hostname, $username, $password);
if(!$db ) {  print "Error connection $db<br>";  exit; }
if(!mysql_select_db($database,$db)) { print "Error ".mysql_error()."<br>"; mysql_close($db); exit;}

// Security: make sure that cat, thread, and quote are integers! 
$cat = intval($cat);
$thread = intval($thread);
$quote = intval($quote);
// Now, make sure they exist
$cat = securecat($cat);
$thread = securethread($thread,$cat);
$quote = securepost($quote,$thread);
echo "Cat is $cat, thread is $thread, quote is $quote<br>";

// processing request

// Add a new thread
if ($mode == "addthread") {
	if ($_POST['preview'] == "Preview") {
		threadform($subject,$name,$email,$text,$cat,1);
	} else {
		$thread = addthread($subject,$name,$email,$text,$cat);
		if ($thread != 0) echothread($thread);
	}
	
// Post a new answer in a thread
} else if ($mode == "postanswer") {
	if ($_POST['preview'] == "Preview") {
		answerform($subject,$name,$email,$text,$thread,1);
	} else {
		$test = addanswer($subject,$name,$email,$text,$thread);
		if ($test != 0) echothread($thread);
	}
	
// Edit a post
} else if ($mode == "edit" ) {
	if ($admin) {
		editform($quote);
	} else {
		echothreadlist($cat,$sort);
	}
	
// Save post after editing
} else if ($mode == "changemsg" ) {
	if ($admin) {
		$thread = changepost($subject,$name,$email,$text,$cat,$time,$msg);
		echothread($thread);
	} else {
		echothreadlist($cat,$sort);
	}
	
// Shall we delete a post
} else if ($mode == "delete" ) {
	if ($admin) {
		reallydelete($thread,$quote);
	} else {
		echothreadlist($cat,$sort);
	}

// Do delete a post
} else if ($mode == "dodelete" ) {
	if ($admin && ($Ok=='Ok')) {
		$info = getthreadinfo($quote);
		deletepost($quote);
		if ($info['parent'] != -1) {
			findlastpost($info['parent']);
			updatencomments($info['parent']);
		}
	} 
	echothreadlist($cat,$sort);
	
// Manage categories
} else if ($mode == "cat" ) {
	if ($admin) {
		managecategoryform();
	} else {
		echothreadlist($cat,$sort);
	}

// Manage categories: changes the mode of a category (public/private)
} else if ($mode == "changecatmode" ) {
	if ($admin) {
		changecatmode($cat);
		managecategoryform();
	} else {
		echothreadlist($cat,$sort);
	}

// Manage categories: new category
} else if ($mode == "newcat" ) {
	if ($admin) {
		newcategory($name,$public);
		managecategoryform();
	} else {
		echothreadlist($cat,$sort);
	}
	
// Manage categories: delete a category
} else if ($mode == "deletecat" ) {
	if ($admin) {
		deletecategory($cat);
		managecategoryform();
	} else {
		echothreadlist($cat,$sort);
	}

// Manage categories: rename a category
} else if ($mode == "renamecat" ) {
	if ($admin) {
		renamecategory($cat,$name);
		managecategoryform();
	} else {
		echothreadlist($cat,$sort);
	}

// Ban an Ip address
} else if ($mode == "banip" ) {
	if ($admin) {
		$test = banIP($ip);
		if ($test) {
			listipbanform();
		} else {
			echoerror($strings['ipblanck']);
		}
	} else {
		echothreadlist($cat,$sort);
	}
	
// Remove ban on an IP address
} else if ($mode == "removeipban" ) {
	if ($admin) { removebanIP($ip); listipbanform(); } else { echothreadlist($cat,$sort); }
	
// List banned IP addresses
} else if ($mode == "ipbanlist" ) {
	if ($admin) { listipbanform(); } else { echothreadlist($cat,$sort); }
	
// Search
} else if ($mode=="search") {
	if (stripslashes(trim($search)) != "") {
		echoSearchResults($search,$page);
	} else {
		echothreadlist($cat,$sort,$page);
	}
	
// Show a thread
} else if ($mode=="thread") {
	echothread($thread,$page);
	
// Answer in a thread
} else if ($mode=="answer") {
	if ($quote == "") $quote = 0;
	answerform("","","","",$thread,0,$quote);
	
// Start a new thread
} else if ($mode=="newthread") {
	if ($cat==0) $cat = 1;
	threadform("","","","","$cat",0);
	
// About
} else if ($mode=="about") {
	abouttext();
	
// List of threads
} else {
	echothreadlist($cat,$sort,$page);
}

// Closing the database
mysql_close($db);
if ($admin == 1) {
	$time = number_format (microtime_float()-$start,3);
	echo "<div align='center'><font size='-1'><a href=\"http://soft.zoneo.net/freeForum/\">FreeForum</a> 1.1.1 &#169; 2005 <a href=\"http://soft.zoneo.net/\">ZoneO-Soft</a> - Page generation: $time sec</font></div>\n";
}
echo "<!-- Forum powered by freeForum: http://soft.zoneo.net/freeForum/ -->\n";
?>