<?PHP
/***************************************************************************
 freeForum @soft.ZoneO.net
 Copyright (C) 2005 ZoneO-soft, S. Merkel (dude@zoneo.net)

 This program is free software; you can redistribute it and/or
 modify it under the terms of the GNU General Public License
 as published by the Free Software Foundation; either version 2
 of the License, or (at your option) any later version.

 More Info About The Licence At http://www.gnu.org/copyleft/gpl.html
****************************************************************************/
 
// Template for error messages
// Parameters:
//     {errormessage}: Error message
$template['error'] = <<<HTML
<div class='forumhead'>
<b>Error</b><br>
{errormessage}
</div>
HTML;

// Template for a heading to warn that we are in admin mode
// Parameters:
$template['admin-mode'] = <<<HTML
<div class='forumhead'><center><b>Admin mode</b></center></div>
HTML;

// Template to show a list of categories when editing a post
// Parameters:
//     {formcategories}: Menu with list of categories
$template['category_edit_post'] = <<<HTML
<tr>
  <td width='95'>Category:</td>
  <td>{formcategories}</td>
</tr>
HTML;

// Template to edit a post
// Parameters:
//      {linkthispage}: link to this page
//      {name}: author of the post
//      {email}: email of the author of the post
//      {time}: time at which the post was added (UNIX time)
//      {subject}: subject of the post
//      {categoryform}
//      {posttext}: body of the post
//      {postid}: post ID
$template['edit_post'] =  <<<HTML
<div class='forumhead'><b>Edit post</b></div>
<script type="text/javascript">
function openHelpTime() {
  window.open('./time.php', 'Help','toolbar=0,location=0,status=0,menubar=0,scrollbars=0,resizable=0,width=400,height=300');
}
</script>
<div class='frame'>
<form method='post' action='{linkthispage}'>
<center>
<table border='0' width='400' cellspacing='5' cellpadding='0'>
<tr>
  <td width='95'>Name:</td>
  <td><input type=text name='name' value='{name}' tabindex=1 size='40'></td>
</tr>
<tr>
  <td width='95'>Email:</td>
  <td> <input type=text name='email' value='{email}' tabindex=2 size='40'></td>
</tr>
<tr>
  <td width='95'>Time:</td>
  <td><input type=text name='time' value='{time}' tabindex=2 size='40'><br>
  <a href="javascript:openHelpTime()">Help me with this!</a></td>
</tr>
<tr>
  <td width='95'>Subject:</td>
  <td><input type=text name='subject' value="{subject}" tabindex=3 size='40'></td>
</tr>
<tr>
  <td width='95'>Category:</td></td>
  <td>{categoryform}</td>
</tr>
<tr>
  <td colspan='2'>
<table border='0'><tr><td>  
<textarea id="text" name="text" cols=60 rows=14 tabindex=3>{posttext}</textarea></td>
<td align='center'><script type="text/javascript"><!--
var msgarea = document.getElementById('text');
document.write("<button type=\"button\" onclick=\"msgarea.value+='[quote][/quote]';msgarea.focus();\">Quote</button>");
document.write("<br />");
document.write("<button type=\"button\" onclick=\"msgarea.value+='[b][/b]';msgarea.focus();\">Bold</button>");
document.write("<br />");
document.write("<button type=\"button\" onclick=\"msgarea.value+='[i][/i]';msgarea.focus();\">Italic</button>");
document.write("<br />");
// -->
</script>
</td></tr></table></td>
</tr>
<tr>
<td colspan='2'>
<center>
<input type='hidden' name='mode' value='changemsg'>
<input type='hidden' name='msg' value='{postid}'>
<input type=submit name='submit' value='Change'>
</center></td>
</table>
</center>
</form>
</div>
HTML;

// Template for "Preview" heading
// Parameters:
//      none
$template['preview_head'] =  <<<HTML
<div class='forumhead'><b>Preview</b></div>
HTML;

// Template to post a new post
// Parameters:
//      {linkthispage}: link to this page
//      {name}: author of the post
//      {email}: email of the author of the post
//      {subject}: subject of the post
//      {posttext}: body of the post
//      {parent}: ID of the parent post
//      {threadsubject}: subject of the thread
//      {threadauthor}: thread author
//      {threadstartdate}: date at which the thread was started
//      {cat}: the category we are in
// Changed 11/2005: added a hidden input with the category id
$template['new_post'] = <<<HTML
<div class='forumhead'><b>Add a new comment in thread</b> "{threadsubject}" <b>started by</b> {threadauthor} <b>on</b> {threadstartdate}</div>
<div class='frame'>
<form method='post' action='{linkthispage}'>
<center>
<table border='0' width='400' cellspacing='5' cellpadding='0'>
<tr>
  <td width='95'>Your name:</td>
  <td><input type=text name='name' value='{name}' tabindex=1 size='40'></td>
</tr>
<tr>
  <td width='95'>Your email:</td>
  <td> <input type=text name='email' value='{email}' tabindex=2 size='40'></td>
</tr>
<tr>
  <td width='95'>Subject:</td>
  <td><input type=text name='subject' value="{subject}" tabindex=3 size='40'></td>
</tr>
<tr>
  <td colspan='2'>
<table border='0'><tr><td>  
<textarea id="text" name="text" cols=60 rows=14 tabindex=3>{posttext}</textarea></td>
  <td align='center'><script type="text/javascript"><!--
var msgarea = document.getElementById('text');
document.write("<button type=\"button\" onclick=\"msgarea.value+='[quote][/quote]';msgarea.focus();\">Quote</button>");
document.write("<br />");
document.write("<button type=\"button\" onclick=\"msgarea.value+='[b][/b]';msgarea.focus();\">Bold</button>");
document.write("<br />");
document.write("<button type=\"button\" onclick=\"msgarea.value+='[i][/i]';msgarea.focus();\">Italic</button>");
document.write("<br />");
// -->
</script>
</td></tr></table></td>
</tr>
<td colspan='2'>
<center>
<input type='hidden' name='mode' value='postanswer'>
<input type='hidden' name='thread' value='{parent}'>
<input type='hidden' name='cat' value='{cat}'>
<input type=submit name='preview' value='Preview'>&nbsp;
<input type=submit name='submit' value='Add'>
</center></td>
</table>
</center>
</form>
</div>
HTML;

// Template to post a new thread
// Parameters:
//      {linkthispage}: link to this page
//      {name}: author of the post
//      {email}: email of the author of the post
//      {subject}: subject of the post
//      {posttext}: body of the post
//      {formcategories}: menu to choose category
$template['new_thread'] = <<<HTML
<div class='forumhead'><b>Add a new thread</b></div>
<div class='frame'>
<form method='post' action='{linkthispage}'>
<center>
<table border='0' width='400' cellspacing='5' cellpadding='0'>
<tr>
  <td width='95'>Your name:</td>
  <td><input type=text name='name' value='{name}' tabindex=1 size='40'></td>
</tr>
<tr>
  <td width='95'>Your email:</td>
  <td> <input type=text name='email' value='{email}' tabindex=2 size='40'></td>
</tr>
<tr>
  <td width='95'>Subject:</td>
  <td ><input type=text name='subject' value="{subject}" tabindex=3 size='40'></td>
</tr>
<tr>
  <td width='95'>Category:</td>
  <td>{formcategories}</td>
</tr>
<tr>
  <td colspan='2'>
<table border='0'><tr><td>  
<textarea id="text" name="text" cols=60 rows=14 tabindex=3>{posttext}</textarea>
  <td align='center'><script type="text/javascript"><!--
var msgarea = document.getElementById('text');
document.write("<button type=\"button\" onclick=\"msgarea.value+='[quote][/quote]';msgarea.focus();\">Quote</button>");
document.write("<br />");
document.write("<button type=\"button\" onclick=\"msgarea.value+='[b][/b]';msgarea.focus();\">Bold</button>");
document.write("<br />");
document.write("<button type=\"button\" onclick=\"msgarea.value+='[i][/i]';msgarea.focus();\">Italic</button>");
document.write("<br />");
// -->
</script>
</td></tr></table></td>
</tr>
<tr>
<td colspan='2'>
<center>
<input type='hidden' name='mode' value='addthread'>
<input type=submit name='preview' value='Preview'>&nbsp;
<input type=submit name='submit' value='Add'>
</center></td>
</table>
</center>
</form>
</div>
HTML;

// Template to display a list of thread
// Parameters:
//    {page}: page
//    {npages}: number of pages
//    {pagelist}: List of pages with a link to other pages
//    {forumtable}: The actual thread list
//    {nthread}: total number of threads
//    {nposts}: total number of posts
//    {lastpostauthor}: author of the last post
//    {lastpostdate}: date of the last post
//    {latestthreadlink}: link to sort things by latest thread
//    {latestpostlink}: link to sort things by latest post
//    {npostlink}: link to sort things by number of posts
//    {centralnote}: text to add between the navigation and the thread list
// 11/2005: added {centralnote}
$template['thread_list'] = <<<HTML
<div class='forumhead'>
<table><tr><td>
<b>Sort by:</b> <a href="{latestthreadlink}">Latest thread</a> - <a href="{latestpostlink}">Latest post</a> - <a href="{npostlink}">Number of posts</a>
</td><td align='right'>{formcategories}</td></tr></table>
<table><tr><td><b>Current page:</b> {page} of {npages} </td><td align='right'><b>Go to page:</b>{pagelist}</td></tr></table>
</div>
{centralnote}
<table class='forumtable'>
<tr class='title'>
  <td><b>Subject</b></td><td><b>Posts</b></td><td><b>Started by</b></td><td><b>Last post</b></td>
</tr>
{forumtable}
</table>
<div class='forumhead'>
<table><tr><td><b>Current page:</b> {page} of {npages} </td><td align='right'><b>Go to page:</b>{pagelist}</td></tr></table>
</div>
<div class='forumhead'><b>Number of threads:</b> {nthread} - <b>Number of posts:</b> {npost} - <b>Last post by</b> {lastpostauthor} <b>on</b> {lastpostdate}
</div>
HTML;

// Template to display a thread  in a list of thread (even)
// Parameters:
//    {threadlink}: link to the thread
//    {subject}: subject
//    {categoryname}: category name
//    {nposts}: number of posts in thread
//    {author}: person who started the thread
//    {startdate}: date at which the thread was started
//    {lastpostauthor}: author of the last post
//    {lastpostdate}: date at which the last post in the thread was added
$template['thread_even'] = <<<HTML
<tr class='even'>
<td><a href="{threadlink}">{subject}</a><br><font size="-1">Category: {categoryname}</font></td>
<td>{nposts}</td>
<td><font size="-1">{author}<br>on {startdate}</font></td>
<td><font size="-1">{lastpostdate}<br>by {lastpostauthor}</font></td></tr>
HTML;

// Template to display a thread in a list of thread (odd)
// Parameters:
//    {threadlink}: link to the thread
//    {subject}: subject
//    {categoryname}: category name
//    {nposts}: number of posts in thread
//    {author}: person who started the thread
//    {startdate}: date at which the thread was started
//    {lastpostauthor}: author of the last post
//    {lastpostdate}: date at which the last post in the thread was added
$template['thread_odd'] = <<<HTML
<tr class='odd'>
<td><a href="{threadlink}">{subject}</a><br><font size="-1">Category: {categoryname}</font></td>
<td>{nposts}</td>
<td><font size="-1">{author}<br>on {startdate}</font></td>
<td><font size="-1">{lastpostdate}<br>by {lastpostauthor}</font></td></tr>
HTML;

// Template to display a message saying there is no thread
// Parameters:
$template['thread_none'] = <<<HTML
<tr class='even'><td colspan='4'>&nbsp;</td></tr>
HTML;

// Template to display a message with all info (IP, email of the author...)
// Parameters:
//    {messagename}: name of this message (to be inserted in a <a name=''> tag
//    {subject}: subject
//    {author}: author
//    {date}: date at which the message was posted
//    {email}: email of the author 
//    {message}: message content
//    {ip}: ip of the author 
//    {baniplink}: link to ban the IP of the author
//    {foot}: stuff to be added at the foot of the message (reply link and all)
$template['message_full'] = <<<HTML
<div class='forummessage'>
<div class='head'>
<A name="{messagename}"></A><b>{subject}</b><br>
Posted by <b>{author}</b> on {date}<br>
IP: {ip} (<a href="{ipbanlink}">ban this IP</a>) - Email: <a href="mailto:{email}">{email}</a> 
</div>
<div class='text'>
{message}
</div>
{foot}
</div>
HTML;

// Template with links to be displayed with a message -- full version (with edit, delete...)
// Parameters:
//    {replythreadlink}: link to reply in the thread
//    {quotelink}: link to reply in the thread and quote the message
//    {editlink}: link to edit the message
//    {deletelink}: link to delete the message
$template['links_message_full'] = <<<HTML
<div class='foot'>
<b>Options:</b> <a href="{replythreadlink}">Reply in this thread</a> - 
<a href="{quotelink}">Quote to this message</a> - 
<a href="{editlink}">Edit this post</a> - 
<a href="{deletelink}">Delete this post</a>
</div>
HTML;

// Template to display a message with minimim info (no IP, no email of the author...)
// Parameters:
//    {messagename}: name of this message (to be inserted in a <a name=''> tag
//    {subject}: subject
//    {author}: author
//    {date}: date at which the message was posted
//    {message}: message content
//    {foot}: stuff to be added at the foot of the message (reply link and all)
$template['message'] = <<<HTML
<div class='forummessage'>
<div class='head'>
<A name="{messagename}"></A><b>{subject}</b><br>
Posted by <b>{author}</b> on {date}
</div>
<div class='text'>
{message}
</div>
{foot}
</div>
HTML;

// Template with links to be displayed with a message -- short version (np edit, no delete...)
// Parameters:
//    {replythreadlink}: link to reply in the thread
//    {quotelink}: link to reply in the thread and quote the message
$template['links_message'] = <<<HTML
<div class='foot'>
<b>Options:</b> <a href="{replythreadlink}">Reply in this thread</a> - 
<a href="{quotelink}">Quote to this message</a>
</div>
HTML;

// Template for a thread
// Parameters:
//    {page}: page
//    {npages}: number of pages
//    {pagelist}: List of pages with a link to other pages
//    {subject}: Subject of the thread
//    {author}: author of the thread
//    {startdate}: starting date of the thread
//    {message}: thread message
//    {comments}: comment messages
//    {centralnote}: text to add between the first an other messages
// 11/2005: added {centralnote}
$template['thread'] = <<<HTML
<div class='forumhead'>
<b>Thread</b> "{subject}" <b>started by {author} <b>on</b> {startdate}</div>
<div class='forumhead'>
<table><tr><td><b>Current page:</b> {page} of {npages} </td>
<td align='right'><b>Go to page:</b> {pagelist}</td></tr></table></div>
{message}
{centralnote}
<div class='forumcomment'>
{comments}
</div>
<div class='forumhead'>
<table><tr><td><b>Current page:</b> {page} of {npages} </td>
<td align='right'><b>Go to page:</b> {pagelist}</td></tr></table></div>
HTML;

// Template to ask question about deleting a thread or a message
// Parameters:
//    {subject}: Subject of the thread
//    {author}: author of the thread
//    {message}: thread message
//    {comments}: list of  comments to the message to delete
//    {linkthispage}
//    {threadid}: thread  id
//    {postid}: post id
//    {cat}: category to display after deletion
// 11/2005: added {cat}
// 11/2005: added {post} parameter VERY IMPORTANT!
$template['delete'] = <<<HTML
<div class='forumhead'><b>Delete?</b></div>
<div class='frame'>Really delete this message?<br>
<ul><li><b>{subject}</b> posted by <b>{author}</b></li></ul>
And all associated answers:
<ul>
{comments}
</ul>
<center><form method='post' action='{linkthispage}'>
<input type='hidden' name='mode' value='dodelete'><input type='hidden' name='thread' value='{threadid}'><input type='hidden' name='quote' value='{postid}'><input type='hidden' name='cat' value='{cat}'><input type="submit" name="Ok" value="Ok">&nbsp;<input type="submit" name="Cancel" value="Cancel"></form>
</div>
HTML;

// Template to list a comment to a message to delete
// Parameters:
//    {subject}: Subject of the thread
//    {author}: author of the thread
$template['delete-comment'] = <<<HTML
<li><b>{subject}</b> posted by <b>{author}</b>
HTML;

// Template for the form listing banned IP and the option to remove them
// Parameters:
//    {iplist}: list of banned IP's (formatted)
$template['ipbanform'] = <<<HTML
<div class='forumhead'><b>List of banned IP addresses</b></div>
<table class='forumtable'>
<tr class='title'>
<td><b>IP</b></td>
<td><center><b>Times been blocked</b></center></td>
<td>&nbsp;<b>unblock</b></td>
</tr>
{iplist}
</table>
HTML;

// Template for one of the IP, even number in the list
// Parameters:
//    {ip}: the actual IP
//    {count}: number of times it has been blocked
//    {removelink}: link to remove this IP from the ban list
// 11/2005: corrected error with {count}
$template['ipbanform-even'] = <<<HTML
<tr class='even'><td>{ip}</a></td><td><center>{count}</center></td><td><a href="{removelink}">[unblock]</a></td></tr>
HTML;

// Template for one of the IP, odd number in the list
// Parameters:
//    {ip}: the actual IP
//    {count}: number of times it has been blocked
//    {removelink}: link to remove this IP from the ban list
// 11/2005: corrected error with {count}
$template['ipbanform-odd'] = <<<HTML
<tr class='odd'><td>{ip}</a></td><td><center>{count}</center></td><td><a href="{removelink}">[unblock]</a></td></tr>
HTML;

// Template for one of the IP: no IP in the list at all
// Parameters:
$template['ipbanform-none'] = <<<HTML
<tr><td align=center colspan=3>No blocked IP</td></tr>
HTML;

// Template with form to manage categories
// Parameters:
//       {linkdelete}: link to delete function (to which you add the id number)
//       {categorylist}: list of categories (formatted)
//       {linkthispage}
$template['categoryform'] = <<<HTML
<script type="text/javascript">
function confirmDelete(cat,id) {
	var text = "Delete category \"" + cat + "\"?";
   if (confirm(text)) {
     document.location = "{linkdelete}" + id;
   }
 }
 </script>
<div class='forumhead'><b>Category list</b></div>
<table class='forumtable'>
<tr class='title'><td><b>ID</b></td><td><b>Name</b></td><td>&nbsp;</td><td><b>N. threads</b></td>
<td><b>N. posts</b></td><td><b>Public</b></td><td>&nbsp;</td><td><b>Delete</b></td></tr>
{categorylist}
</table>
<div class='forumhead'><b>Add a new category</b></div>
<div class='frame'>
<form method='post' action='{linkthispage}'>
<table border='0' cellspacing='5' cellpadding='0'>
<tr>
  <td>Name:</td>
  <td><input type=text name='name' tabindex=1 size='40'></td>
  <td><select name='public'><option value=1>Public</option><option value=0>Private</option></select><td>
  <td><input type='hidden' name='mode' value='newcat'><input type=submit name='submit' value='Add'></td>
</tr>
</table>
</form>
</div>
HTML;

// Template with portion of form to manage categories (even number, private category)
// Parameters:
//       $even: 1 if even, 0 otherwise
//       $public: 1 if public, 0 otherwise
//       $linkmakepublic: link to make an image public or private
//       $id: categoru id
//       $name: category name
//       $linkthispage: link to this page
//       $nthread: number of threads
//       $nposts: number of posts
// Done as a function (there are too many options to use a simple template)
// 11/2005: corrected bug in nthread
function categoryformline($even, $public, $linkmakepublic, $id, $name, $linkthispage, $nthread, $nposts) {
if ($even) {
	$str = "<tr class='even'>";
} else {
	$str = "<tr class='odd'>";
}
if ($public) {
	$publictext = "Yes</td><td><a href=\"${linkmakepublic}${id}&amp;way=0\">[ Make private]</a>";
} else {
	$publictext = "No</td><td><a href=\"${linkmakepublic}${id}&amp;way=1\">[ Make public]</a>";
}
if ($id == 1) {
	$delete = "&nbsp;";
} else {
	$delete = "<a href=\"javascript:confirmDelete('$name','$id')\">[ delete ]</a>";
}
$nameform =  "<form  method='post'  name='form$id' action='$linkthispage'>
<input type=text name='name' tabindex=1 size='20' value='$name'>
<input type='hidden' name='mode' value='renamecat'>
<input type='hidden' name='cat' value='$id'>
</form>
</td><td>
<a href='javascript:document.form${id}.submit();')>[ Rename ]</a>";
$str .= "<td>$id</td><td>$nameform</td><td>$nthread</td><td>$nposts</td><td>$publictext</td><td>$delete</td></tr>\n";
return $str;
}

// Function: operations
// Description: Displays the 'operations' heading
// Done as a function (there are too many options to use a simple template)
// Changed 11/2005: added category option in new thread and thread list link
function operations($linkthispage,$mode,$extra=0) {
global $admin;
global $cat;
if ($mode=='searchRes') $search=stripslashes($extra);
$str = "<div class='forumhead'><table><tr><td>\n<b>Operations:</b> "; 
$str .= "<a href=\"${linkthispage}cat=$cat\">Thread list</a> ";
$str .= "- <a href=\"${linkthispage}mode=newthread&amp;cat=$cat\">New thread</a> ";
if ($mode=='thread') {
	$str .= "- <a href=\"${linkthispage}mode=answer&amp;cat=$cat&amp;thread=$extra\">Reply in this thread</a>";
} elseif ($mode=='newcomment') {
	$str .= "- <a href=\"${linkthispage}mode=thread&amp;cat=$cat&amp;thread=$extra\">Back to thread</a>";
} elseif ($mode=='editpost') {
	$str .= "- <a href=\"${linkthispage}mode=thread&amp;cat=$cat&amp;thread=$extra\">Back to thread</a>";
}
if ($admin) {
	$str .= "- <a href=\"${linkthispage}mode=cat\">Categories</a> - <a href=\"${linkthispage}mode=ipbanlist\">IP Ban</a> - <a href=\"${linkthispage}mode=about\">About</a>";
}
$str .= "</td><td align='right'><form method='post' action='$linkthispage'>
<input type=text name='search' value='$search' size='20'>&nbsp;<input type=submit name='submit' value='Search'>&nbsp;<input type='hidden' name='mode' value='search'>
</form>
</td></tr></table>
</div>\n";
return $str;
}

// Template: admin-mode
// Description: To sisplay a heading to warn that we are in admin mode
$template['admin-mode'] = <<<HTML
<div class='forumhead'><center><b>Admin mode</b></center></div>
HTML;

// Template: search-results
// Description: To display results of a search
// Parameters
//        {search}: search terms
//        {page}: page
//        {npages}: number of pages
//        {pagelist}: List of pages with a link to other pages
//        {searchresults}: the actual search results (formatted)
$template['search-results'] = <<<HTML
<div class='forumhead'><b>Search results for:</b> {search}<br>
<table><tr><td><b>Current page:</b> {page} of {npages} </td>
<td align='right'><b>Go to page:</b> {pagelist}</td></tr></table>
</div>
<table class='forumtable'>
<tr class='title'><td>&nbsp;</td><td><strong>Category</strong></td><td><strong>Thread</strong></td><td><strong>Message</strong></td><td><strong>Author</strong></td><td><strong>Date</strong></td></tr>
{searchresults}
</table>
<div class='forumhead'>
<table><tr><td><b>Current page:</b> {page} of {npages} </td>
<td align='right'><b>Go to page:</b> {pagelist}</td></tr></table>
</div>
HTML;

// Template: search-results-even
// Description: To display a result of a search (even)
// Parameters
//        {n}: search result number
//        {linkcategory}: link to category
//        {linkthread}: link to thread
//        {linkpost}: link to post
//        {categoryname}
//        {threadname}
//        {postname}
//        {author}
//        {date}
$template['search-results-even'] = <<<HTML
<tr class='even'><td width='40px'>#{n}</td>
<td><a href="{linkcategory}">{categoryname}</a></td>
<td><a href="{linkthread}">{threadname}</a></td>
<td> <a href="{linkpost}">{postname}</a></td>
<td>{author}</td>
<td>{date}</td></tr>
HTML;

// Template: search-results-odd
// Description: To display a result of a search (odd)
// Parameters
//        {n}: search result number
//        {linkcategory}: link to category
//        {linkthread}: link to thread
//        {linkpost}: link to post
//        {categoryname}
//        {threadname}
//        {postname}
//        {author}
//        {date}
$template['search-results-odd'] = <<<HTML
<tr class='odd'><td width='40px'>#{n}</td>
<td><a href="{linkcategory}">{categoryname}</a></td>
<td><a href="{linkthread}">{threadname}</a></td>
<td> <a href="{linkpost}">{postname}</a></td>
<td>{author}</td>
<td>{date}</td></tr>
HTML;

// Template: search-results-none
// Description: To display when no result for a search
$template['search-results-none'] = <<<HTML
<tr class='even'><td colspan'2'>No result</td></tr>
HTML;

// Template: about
// Description: to display a small presentation about freeForum
$template['about'] = <<<HTML
<div class='frame'>
<b>About freeForum</b>
<P>
Thank you for using freeForum!
<P>
freeForum is a free and simple discussion board script which can be fully integrated with your existing page layout. It concentrates on the main features of typical forum scrips, and does it well.
<P>
With freeForum, you are free: free to post, free to add categories, free to change the layout, and free to integrate it in you site. It's simple: no image, no avatar, no smilies, no useless statistics, fully CSS and template based. It's easy for the administrator: IP banning, flood protection, open and closed categories, reserved user names, possibility to edit previous posts.
<P>
freeForum is free software licensed under the terms of the GNU 
GENERAL PUBLIC LICENSE (GPL). This license is designed to keep the 
software free, rather than limit the ways you can use it. If you would 
like to learn more, you can read the details of the license on 
<a href="http://soft.zoneo.net/freeForum/licence.php">this page</a>.
<P>
Please free to check the <a href='http://soft.zoneo.net/freeForum/'>freeForum homepage</a> 
for more information and upgrades.
<P>
<form action="http://www.HotScripts.com/?RID=N342965" method="POST">
<table border="1" align="center"><TR><TD>
<table class='form'>
<tr>
<td>If you like our script, please rate it at <a class="basic" href="http://www.hotscripts.com/?RID=N342965">hotscripts</a>!
<input type="hidden" name="external" value="1"></td>
</tr>
<tr>
<td align="center"><select name="rate" size="1">
<option value="5" selected>Excellent!</option>
<option value="4">Very Good</option>
<option value="3">Good</option>
<option value="2">Fair</option>
<option value="1">Poor</option>
</select>
<input name="submit" type="submit" value="Cast My Vote!"></td>
</tr>
</table></TD></TR></table></form>
&nbsp;
</div>
HTML;
?>